Bug 816569 - Cannot un/mute audio via alsamixer for HDA codec CX20561 (Hermosa)
Cannot un/mute audio via alsamixer for HDA codec CX20561 (Hermosa)
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
high Severity medium
: rc
: ---
Assigned To: Jaroslav Kysela
Desktop QE
: Regression
Depends On:
  Show dependency treegraph
Reported: 2012-04-26 08:34 EDT by Jiri Koten
Modified: 2012-06-20 09:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.32-270.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 09:59:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
alsa-info (20.33 KB, text/plain)
2012-04-26 08:34 EDT, Jiri Koten
no flags Details
Audigy SE [SB0570] screenshot (39.52 KB, image/png)
2012-04-26 08:46 EDT, Tomas Pelka
no flags Details
X-Fi Extreme Audio [SBxxxx] screenshot (39.24 KB, image/png)
2012-04-26 08:47 EDT, Tomas Pelka
no flags Details

  None (edit)
Description Jiri Koten 2012-04-26 08:34:13 EDT
Created attachment 580458 [details]

Description of problem:
In Rhel6.3 with my audio card (ICH9 Conexant CX20561 (Hermosa)) I can no longer mute audio via alsamixer. The mute switch is missing on all available channels.

Though I am able to mute with amixer set Master mute, pulseaudio mute also works. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. alsamixer -c0
2. choose a channel, e.g. Master
3. press 'm' to mute
Actual results:
sound still audible audible

Expected results:
sound is not audible

Additional info:
Probably related only to spec. card/Codec. I tested couple of others with no issue.
Comment 1 Jiri Koten 2012-04-26 08:38:12 EDT
Worked for me in Rhel62.
Comment 2 Tomas Pelka 2012-04-26 08:45:59 EDT
I can see similar behaviour on box with two CA1060

- Audigy SE [SB0570] have mute ability in alsamixer
- X-Fi Extreme Audio [SBxxxx] not

See screenshots
Comment 3 Tomas Pelka 2012-04-26 08:46:41 EDT
Created attachment 580463 [details]
Audigy SE [SB0570] screenshot
Comment 4 Tomas Pelka 2012-04-26 08:47:22 EDT
Created attachment 580464 [details]
X-Fi Extreme Audio [SBxxxx] screenshot
Comment 5 Tomas Pelka 2012-04-26 08:48:03 EDT
Aslainfo for the box with two CA0106 at http://www.alsa-project.org/db/?f=2b174514cdab6a985b71f0341b32e64e8a61bd49
Comment 6 Jaroslav Kysela 2012-04-26 09:38:09 EDT
This commit fixes the conexant cx5051 issue:


For Audigy/Creative cards, I believe that it is not a regression. It depends on the driver author, if mute is implemented. The higher layer like PulseAudio should use hardware mute or set the lowest volume.
Comment 7 Jaroslav Kysela 2012-04-26 09:39:26 EDT
The right commit is here (copy-and-paste error):

Comment 8 RHEL Product and Program Management 2012-04-26 09:50:05 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 11 Jarod Wilson 2012-05-09 12:32:08 EDT
Patch(es) available on kernel-2.6.32-270.el6
Comment 16 errata-xmlrpc 2012-06-20 09:59:36 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.